org.jbpm.kie.services.impl.admin.commands

## Class RetriggerNodeInstanceCommand

- java.lang.Object
- - org.jbpm.kie.services.impl.admin.commands.RetriggerNodeInstanceCommand

- All Implemented Interfaces:
    Serializable, org.kie.api.command.Command<Void>, org.kie.api.command.ExecutableCommand<Void>, org.kie.internal.command.ProcessInstanceIdCommand

      public class RetriggerNodeInstanceCommand
      extends Object
      implements org.kie.api.command.ExecutableCommand<Void>, org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetriggerNodeInstanceCommand(long processInstanceId, long nodeInstanceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `execute(org.kie.api.runtime.Context context)`
    `Long` | `getProcessInstanceId()`
    `void` | `setProcessInstanceId(Long procInstId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RetriggerNodeInstanceCommand

          public RetriggerNodeInstanceCommand(long processInstanceId,
                                              long nodeInstanceId)

  - ### Method Detail

    - #### execute

          public Void execute(org.kie.api.runtime.Context context)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<Void>`

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long procInstId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.